Updating Brave under Debian 10

Troubleshooting technical issues is much easier when both the user and support agent practice clear communication. For this reason, we have provided the template below for you to fill out with information about your issue. Please provide as much detail as possible so we can most efficiently resolve your problem.

Delete the any text above the line separator below before posting


Description of the issue:
How can this issue be reproduced?

  1. I can’t update Brave. I know this is a a fairly normal message but I don’t think my machine is configured improperly.
  2. Screenshot_2021-01-13_22-51-56

Expected result:
troubleshoot brave repo, update Brave.
Brave Version( check About Brave):
Version 1.18.78 Chromium: 87.0.4280.141 (Official Build) (64-bit)
Additional Information:

Did you follow the official install guide for Debain Installing Brave on Linux
Or did you download the Deb package and install that way?

The error is due to the GPG Keyring not being signed. When installing Brave, from the command line you need to include:

curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -